Subject: Re: [lojban] More about quantifiers

From: [email-masked]
Date: Tue, 12 Mar 2002 10:54:15 EST

In a message dated 3/11/2002 5:15:15 PM Central Standard Time, 
[email-masked] writes:

> >Have you really known about {me'iro} for all these years?
> 
> I used {da'asu'o} before, which is equivalent. But the particular
> form of the quantifier doesn't change the system.
> I told you about {da'asu'o} years ago, but you never
> listen to me... :)
> 

Why, so you did (I had it filed under {da'asu'o} rather than "I"). I seemed 
to ahve replied that it was too ugly to use; yet I like {me'iro}. Tastes 
change? Maybe not; I still think {da'asu'o} is too ugly to use.
I always listen to xorxes, either he has solved a problem or he has said 
something so outrageous that I have a nice long discussion in the offing.

Rather than going through xorxes comments case by case, let me lay out what I 
take to be the situation, knowing full well that xorxes will catch any errors
Ultimate forms:
A+: ge de broda (1) gi ro da zo'u ganai da broda (2) gi da brode(3)
A- : [ganai 1 gi] roda zo'u ganai 2 gi 3
E+ : ge 1 gi roda zo'u ganai 2 ginai 3
E- : [ganai 1 gi] roda zo'u ganai 2 ginai 3
I+ : [ge 1 gi] su'o da zo'u ge 2 gi 3
I- : ganai 1 gi su'o da zo'u ge 2 gi 3
O+ : [ge 1 gi] su'o da ge 2 ginai 3
O- : ganai 1 gi su'o da ge 2 ginai 3

In general
A+ = E+~ = ~O- = ~I-~
A- = E-~ = ~O+ = ~I+~

Within these two groups, each member can be defined in terms of any other 
member by apprpriate adjustment quantifiers. No member of one groups can be 
defined in terms of the other using only ~.

xorxes' systems
<A-: ro broda cu brode = ro da poi broda cu brode
E-: no broda cu brode = no da poi broda cu brode
I+: su'o broda cu brode = su'o da poi broda cu brode
O+: me'iro broda cu brode = me'iro da poi broda cu brode>

Since these are inadequate for defining the remaining cases, we will use his 
fuller system, adding

<A+ ro lo su'o broda cu brode
E+ no lo su'o broda cu brode
I- naku no lo su'o broda cu brode
O- naku ro lo su'o broda cu brode>

I can't at the moment find corresponding {da poi} forms, so we will stick to 
the {lo... broda} ones only.

my system:

A+ ro broda cu brode
A- ro da poi broda cu brode
E+ no broda cu brode
E- no da poi broda cu brode
I+ [suo /lo /su'o lo] broda cu brode
I- (su'o) da poi broda cu brode
O+ me'iro broda cu brode
O- me'iro da poi broda cu brode

Somewhere xorxes ascribes a basic set to me. I tend to think of all of these 
as basic since they all come out of the same description: {Q da poi broda cu 
broda} for free, {Q broda cu broda} for importing. But I'll accept the 
Aristotle set, A+, E-, I+ O-, as basic (or any other with a member from each 
definition set).

Rules to return to ultimate forms
xorxes: prefix {ro/no lo su'o} immediately with {ge 1 gi}
replace Q...broda cu brode with
Q = {ro} {ro da zo'u ganai 2 gi 3}
{no} {ro da zo'u ganai 2 ginai 3}
{su'o} {su'o da zo'u ge 2 gi 3}
{me'i ro} {su'o da zo'u ge 2 ginai 3}
work remaining negations through
mine: prefix all {Q broda} with {ge 1 gi}
prefix all {Q da poi broda} with {ganai 1 gi}
replace as above.
(To be honest, if xorxes had given other versions of I- and O-, his rules 
would be one shorter, omitting the last one).

Moving negations around. The general rule for moving negations across 
quantifiers is: change outer sign (before the whole thing), change inner sign 
(before the {brode}), change quantifier to its diagonal opposite, i.e., 
different in quantity, quality, and import -- so + and - exchange and A <> O 
and E<>I.
moving ~ in. 
xorxes' version: If there is an initial {naku}, delete it and stop
Else drop initial negation
exchange external {su'o} <> {no}, {ro} <> {me'iro} 
place {naku} for {cu} and reduce {naku} string
(Again, the unreduced I- and O- add a rule)

mine: Drop initial {naku}
exchange {Q da poi broda} and {Q broda}
exchange Q as above
internal {naku} as above
The other negation movings are the same, mutatis mutandis. (I should note 
that, given his usage, xorxes may have some trouble coming up with reasonable 
I- and O- forms, since, whatever you may think about {le ro broda}, {lo su'o 
broda} pretty clearly cannot be empty.)

Admittedly, then, in an ideal xorxes system my rules would be a whole step 
more complicated. I think that extra effort is worth it to be able to tell 
at a glance that a setence has existential import.